
Redmine - Defect #855

Redmine does not recognize DST or is not using the latest values

2008-03-14 17:17 - Ronald Connor

Status: Closed Start date: 2008-03-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I have Redmine on my local Linux box where the timezone is Central Time (Canada).

My time zone in Redmine is set appropriately (UTC -600) and all times were logged correctly until last Sunday when the Daylight

Savings switched. Now all times are off by 1 hour.

That tells me that Redmine did not realize the change in CST to CDT.

To get around this, I changed my timezone (in Redmine) to be UTC -500 but that is not my preferred solution.

I think switching to TZInfo (found here: http://tzinfo.rubyforge.org/) would be a simple solution to the problem.

Related issues:

Has duplicate Redmine - Defect #1049: Redmine doesn't account for summer time... Closed 2008-04-12

History

#1 - 2008-03-21 22:18 - Jean-Philippe Lang

As you said, installing TZInfo should solve this problem since Rails' builtin TimeZone doesn't handle DST.

ruby script/plugin install tzinfo_timezone

 Can you confirm ?

#2 - 2008-03-24 18:29 - Ronald Connor

I did not do a thorough test but appears to be working correctly now.

#3 - 2008-03-26 23:38 - Jean-Philippe Lang

- Status changed from New to Closed

Thanks for the feedback.

I've added an entry about this in the FAQ.

#4 - 2008-05-13 12:00 - Thomas Lecavelier

Erm... It looks like redmine.org haven't this plugin. Could you install it, please?
